Package org.drinkless.tdlib

# Class TdApi.PaidMediaVideo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PaidMedia
org.drinkless.tdlib.TdApi.PaidMediaVideo

Enclosing class:
  `TdApi`

public static class TdApi.PaidMediaVideo extends TdApi.PaidMedia
The media is a video.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PaidMedia

  `TdApi.PaidMedia.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Photo`
  `cover`
  Cover of the video; may be null if none.
  `int`
  `startTimestamp`
  Timestamp from which the video playing must start, in seconds.
  `TdApi.Video`
  `video`
  The video.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaidMediaVideo()`
  The media is a video.
  `PaidMediaVideo(TdApi.Video video, TdApi.Photo cover, int startTimestamp)`
  The media is a video.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### video

    public TdApi.Video video
    The video.

  - ### cover

    @Nullable public TdApi.Photo cover
    Cover of the video; may be null if none.

  - ### startTimestamp

    public int startTimestamp
    Timestamp from which the video playing must start, in seconds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaidMediaVideo

    public PaidMediaVideo()
    The media is a video.

  - ### PaidMediaVideo

    public PaidMediaVideo(TdApi.Video video, TdApi.Photo cover, int startTimestamp)
    The media is a video.
    Parameters:
      `video` - The video.
      `cover` - Cover of the video; may be null if none.
      `startTimestamp` - Timestamp from which the video playing must start, in seconds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PaidMedia`
    Returns:
      this.CONSTRUCTOR